/*
 * Copyright (C) 2014 Stuart Howarth <showarth@marxoft.co.uk>
 *
 * This program is free software; you can redistribute it and/or modify it
 * under the terms and conditions of the GNU Lesser General Public License,
 * version 3, as published by the Free Software Foundation.
 *
 * This program is distributed in the hope it will be useful, but WITHOUT ANY
 * WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
 * FOR A PARTICULAR PURPOSE.  See the GNU Lesser General Public License for
 * more details.
 *
 * You should have received a copy of the GNU Lesser General Public License
 * along with this program; if not, write to the Free Software Foundation,
 * Inc., 51 Franklin St - Fifth Floor, Boston, MA 02110-1301 USA.
 */

// Map of property types
var propertyTypes = {
    "App:Name": "String",
    "App:DisplayName": "String",
    "App:GenericName": "String",
    "App:Comment": "String",
    "App:Exec": "String",
    "App:Icon": "String",
    "App:MimeType": "String",
    "App:Categories": "String",
    "Audio:Title": "String",
    "Audio:Artist": "String",
    "Audio:Composer": "String",
    "Audio:Album": "String",
    "Audio:Genre": "String",
    "Audio:Duration": "Integer",
    "Audio:ReleaseDate": "Date",
    "Audio:AlbumArtist": "String",
    "Audio:AlbumTrackCount": "Integer",
    "Audio:TrackNo": "Integer",
    "Audio:DiscNo": "Integer",
    "Audio:Performer": "String",
    "Audio:TrackGain": "Double",
    "Audio:PeakTrackGain": "Double",
    "Audio:AlbumGain": "Double",
    "Audio:AlbumPeakGain": "Double",
    "Audio:Comment": "String",
    "Audio:Codec": "String",
    "Audio:CodecVersion": "String",
    "Audio:Samplerate": "String",
    "Audio:Bitrate": "Double",
    "Audio:Channels": "Integer",
    "Audio:LastPlay": "Date",
    "Audio:PlayCount": "Integer",
    "Audio:DateAdded": "Date",
    "Audio:Lyrics": "String",
    "Audio:MBAlbumID": "String",
    "Audio:MBArtistID": "String",
    "Audio:MBAlbumArtistID": "String",
    "Audio:MBTrackID": "String",
    "Conversion:Account": "String",
    "Conversation:UserAccount": "String",
    "Conversation:PeerAccount": "String",
    "Conversation:ChatRoom": "String",
    "Conversation:Protocol": "String",
    "Conversation:Date": "Date",
    "Conversation:Text": "Fulltext",
    "DC:Contributor": "String",
    "DC:Coverage": "String",
    "DC:Creator": "String",
    "DC:Date": "Date",
    "DC:Description": "String",
    "DC:Format": "String",
    "DC:Identifier": "String",
    "DC:Language": "String",
    "DC:Publishers": "String",
    "DC:Relation": "String",
    "DC:Rights": "String",
    "DC:Source": "String",
    "DC:Subject": "String",
    "DC:Keywords": "String",
    "DC:Title": "String",
    "DC:Type": "String",
    "Doc:Title": "String",
    "Doc:Subject": "String",
    "Doc:Author": "String",
    "Doc:Keywords": "String",
    "Doc:Comments": "String",
    "Doc:PageCount": "Integer",
    "Doc:WordCount": "Integer",
    "Doc:Created": "Date",
    "Doc:URL": "String",
    "Email:Recipient": "String",
    "Email:Body": "Blob",
    "Email:Date": "Date",
    "Email:Sender": "String",
    "Email:Subject": "String",
    "Email:SendTo": "String",
    "Email:CC": "String",
    "Email:Attachments": "String",
    "Email:AttachmentsDelimited": "String",
    "File:Name": "String",
    "File:Ext": "String",
    "File:Path": "String",
    "File:NameDelimited": "String",
    "File:Contents": "Fulltext",
    "File:Link": "String",
    "File:Mime": "String",
    "File:Size": "Integer",
    "File:License": "String",
    "File:Copyright": "String",
    "File:Modified": "Date",
    "File:Accessed": "Date",
    "File:Added": "Date",
    "File:Other": "String",
    "File:Language": "String",
    "Image:Title": "String",
    "Image:Keywords": "String",
    "Image:Height": "Integer",
    "Image:Width": "Integer",
    "Image:Album": "String",
    "Image:Date": "Date",
    "Image:Creator": "String",
    "Image:Comments": "String",
    "Image:Description": "String",
    "Image:Software": "String",
    "Image:CameraMake": "String",
    "Image:CameraModel": "String",
    "Image:Orientation": "Integer",
    "Image:ExposureProgram": "String",
    "Image:ExposureTime": "Double",
    "Image:FNumber": "Double",
    "Image:Flash": "Integer",
    "Image:FocalLength": "Double",
    "Image:ISOSpeed": "Integer",
    "Image:MeteringMode": "String",
    "Image:WhiteBalance": "String",
    "Image:Rating": "Integer",
    "Image:Location": "String",
    "Image:Sublocation": "String",
    "Image:Country": "String",
    "Image:City": "String",
    "Image:HasKeywords": "Integer",
    "Playlist:Duration": "Integer",
    "Playlist:Songs": "Integer",
    "Playlist:Name": "String",
    "Playlist:ValidDuration": "Integer",
    "User:Rank": "Integer",
    "User:Keywords": "String",
    "Video:Title": "String",
    "Video:Author": "String",
    "Video:Height": "Integer",
    "Video:Width": "Integer",
    "Video:Duration": "Integer",
    "Video:Comments": "String",
    "Video:FrameRate": "Double",
    "Video:Codec": "String",
    "Video:Bitrate": "Double",
    "Video:PlayCount": "Integer",
    "Video:PausePosition": "Integer",
    "Video:LastPlayedFrame": "String",
    "Video:Source": "String"
};
    
